Page MenuHomeMiraheze

Differentiate sitenotices for different cases
Open, LowPublic

Description

Currently, when a wiki is closed (regardless of the way, i.e. script, ManageWiki) there is only one sitenotice that appears which says "This wiki has been closed because there have been no edits or or logs made within the last 60 days.".

In some cases, wikis are closed for other reasons via ManageWiki, and it can be confusing for the sitenotice to claim that they were closed due to inactivity. The same goes with private wikis, which cannot be adopted, but the sitenotice claims that they can be.

Therefore, we should have 3 sitenotices for the different instances (1: script closes for inactivity, 2: wiki closed via ManageWiki, 3: wiki closed with script; private). (and then of course if the closed wiki also becomes inactive the script will change the message again)

Event Timeline

Reception123 triaged this task as Low priority.Mar 2 2019, 07:17
Reception123 created this task.
John edited projects, added Configuration; removed CreateWiki.Mar 2 2019, 08:41
John added a subscriber: John.

This is done via mw-config.

CreateWiki doesn’t add any notices.

MacFan4000 added a subscriber: MacFan4000.

Changes to ManageWiki will be needed

John removed a project: ManageWiki.May 6 2019, 22:51
In T4164#79542, @John wrote:

This is done via mw-config.

CreateWiki doesn’t add any notices.

AmandaCath removed a subscriber: AmandaCath.
Reception123 added subscribers: RhinosF1, Zppix.

@RhinosF1 @Zppix Is this something you would maybe be interested in?

dross added a subscriber: dross.Oct 26 2019, 22:47
Jidanni added a subscriber: Jidanni.Nov 21 2019, 18:32

In T4887 I am trying to say the messages are all fine... the problem is you don't say what date you are counting from.
60 days starting when?
January ??, 201? .
Add a hard, firm, anchor date.

JohnLewis> actually, it may be possible to differentiate '''future''' manual closes, but settings wiki_closed = 2 and having a check so if its 2, we set another $cw var to show it

FYI on how this could be done. For now blocked on community consensus due to the fact that it's unclear from the Dormancy Policy whether closed wikis can be adopted and if they follow the same rules.

Private wikis vs public wikis is now Done.

What remains to be done is manual closure vs script which is still blocked on community consensus.

Void added a comment.Jul 10 2020, 02:21

What remains to be done is manual closure vs script which is still blocked on community consensus.

Is there a discussion anywhere regarding this?